=== contrib/local_sockets/test_sockets/Makefile ===
ADB = test_ls.adb
include Makefile.common
