=== debian/changelog ===
polyorb (2.11~20140418-5) unstable; urgency=medium

  * Swith to debhelper 11. Drop autotools add-on, now activated by default.
  * Standards-version 4.1.4.
  * Style details: VCS-Mtn URI format, typos.

  [ Adrian Bunk <bunk@debian.org> ]
  * fig2dev327.patch fixes a .fig image and closes: #896575.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 23 Apr 2018 12:48:47 +0200

polyorb (2.11~20140418-4) unstable; urgency=medium

  * Add me as Uploader.
  * Rebuild with gnat-7.
    - Rename -dev and runtime packages with new ALI and SO versions.
     -Stop Breaking/Replacing previous -dev built with another compiler.
  * Update Build-Dependencies: obsolete (dh-ada-library),
    renamed (texlive-generic, fig2dev) or new (texlive-latex).
  * Reorganize internal dependencies according to policy.
    -bin and -dev Suggest: -doc
    -doc stops Recommending: -dev.
    -dev Depends: gnat per Ada Debian policy.
  * Allow -doc to satisfy Multi-Arch same dependencies.
  * Simplify debian/rules and reduce divergence with upstream.
  * Debhelper 10. Remove explicit policy targets and -dbg package.
    Separate autoconf and configure steps.
  * Enable hardening flags.
  * Add minimal runtime test.
  * Standard-Versions: 4.1.0. HTTPS copyright format URL.
    Allow DEB_BUILD_OPTIONS=nodoc.
  * Fix duplicate licence in copyright.
  * Remove bug-561121.patch, old work-around for sparc.
  * Gcc-7 does not need an executable stack anymore, drop lintian override.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 24 Aug 2017 18:50:17 +0200

polyorb (2.11~20140418-3.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Svante Signell ]
  * debian/patches/examples_corba_echo_echo-impl.adb.patch:
    - fix build failures with some Tex versions
      (Closes: #835966, Closes: #790664).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Oct 2016 15:56:15 +0200

polyorb (2.11~20140418-3.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Svante Signell ]
  * build with gnat-6.  Closes: #831255.
  * Add patch to fix compilation due to missing include.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 19 Sep 2016 14:20:50 +0000

polyorb (2.11~20140418-3) unstable; urgency=low

  [Ludovic Brenta]
  * debian/rules: use --with autotools-dev in most targets forwarded to
    dh.  Reconfigure from the target override_dh_auto_configure, not from
    a separate target.  Patch from Matthias Klose.  Closes: #758743.
  [Xavier Grave]
  * Minor change to update last maintainer email address

 -- Xavier Grave <xavier.grave@csnsm.in2p3.fr>  Fri, 26 Sep 2014 11:09:29 +0200

polyorb (2.11~20140418-2) unstable; urgency=low

  * Upload to unstable.  Closes: #685564, #752890.
  * Rebuild with gnat-4.9 4.9.1.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue, 12 Aug 2014 13:12:57 +0200
  

polyorb (2.11~20140418-1) experimental; urgency=low

  [Ludovic Brenta]
  * New upstream version: Subversion revision 226475 with runtime library
    exception removed and documentation under pure GPL version 3 or later:
    com.adacore.polyorb.debian revision
    eaed77c62550dfe805490639563447f538ce0c4c. Closes: #701338, #709495.
  * debian/control (libpolyorb3-dev): break and replace libpolyorb2-dev.
  * debian/patches/fix-texi-syntax-error.patch: refresh.
  * debian/patches/remove-soap-in-tests.patch: refresh.
  * debian/patches/support-tilde-in-pathname.patch: new.
  * debian/patches/make-clean.patch: new.
  * debian/control (Architecture): any.  Closes: #568452.
  
  [Xavier Grave]
  * debian/control: Package renamings pursuant to Debian Policy for Ada:
    libpolyorb2-dev -> libpolyorb3-dev
    libpolyorb3     -> libpolyorb4
  * debian/control (Build-Depends): Migrate to gnat-4.9 from experimental.
  * debian/patches/polyorb-config-patch-for-gnatdist.patch:
    allow pcs_project1 use of "extends all" keyword, allowed by gnat-4.9.
  * debian/rules: generate one .gpr project file for each library instead of
    a single all-encompassing project file.
  * debian/rules: generate a new project file,
    /usr/share/ada/adainclude/polyorb_src.gpr, used by all other library-
    specific project files.

 -- Ludovic Brenta <lbrenta@debian.org>  Mon, 21 Apr 2014 08:17:24 +0200
