=== debian/control ===
Source: polyorb
Section: net
Priority: optional
Maintainer: Xavier Grave <xavier.grave@csnsm.in2p3.fr>
Uploaders: Ludovic Brenta <lbrenta@debian.org>,
 Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.16.1),
 gnat, gnat-7,
# This line is parsed by debian/rules.
 python-gnatpython,
 automake, libtool, python
Build-Depends-Indep: ghostscript, texlive-formats-extra,
 texlive-latex-base,
 texlive-plain-generic, fig2dev, texinfo
Standards-Version: 4.1.4
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.polyorb
Vcs-Mtn: mtn://www.ada-france.org?org.debian.polyorb
Homepage: http://libre.adacore.com/libre/tools/polyorb/

Package: polyorb-servers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: polyorb-doc
Description: Multiple-personality middleware for Ada (servers)
 PolyORB provides a uniform solution to build distributed applications; relying
 either on industrial-strength middleware standards such as CORBA, the
 Distributed System Annex of Ada 95, distribution programming paradigms such as
 Web Services, Message Oriented Middleware (MOM), or to implement
 application-specific middleware.
 .
 This package provides various middleware servers needed to run a distributed
 application and tools to interact with these servers.

Package: libpolyorb4-dev
# This line is parsed by debian/rules.
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, g++,
 gnat, gnat-7, libpolyorb5 (= ${binary:Version})
# This line must match the gnat and and so versions.
Recommends: polyorb-servers (= ${binary:Version})
Suggests: polyorb-doc
Description: Multiple-personality middleware for Ada (development)
 PolyORB provides a uniform solution to build distributed applications; relying
 either on industrial-strength middleware standards such as CORBA, the
 Distributed System Annex of Ada 95, distribution programming paradigms such as
 Web Services, Message Oriented Middleware (MOM), or to implement
 application-specific middleware.
 .
 This package provides the development files and utilities necessary to develop
 distributed applications using PolyORB.
 .
 Distributed applications will also require the polyorb-servers package but not
 necessarily on the same machine.

Package: libpolyorb5
# This line is parsed by debian/rules.
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Recommends: polyorb-servers (= ${binary:Version})
Description: Multiple-personality middleware for Ada
 PolyORB provides a uniform solution to build distributed applications; relying
 either on industrial-strength middleware standards such as CORBA, the
 Distributed System Annex of Ada 95, distribution programming paradigms such as
 Web Services, Message Oriented Middleware (MOM), or to implement
 application-specific middleware.
 .
 Distributed applications will also require the polyorb-servers package but not
 necessarily on the same machine.

Package: polyorb-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Multiple-personality middleware for Ada (documentation)
 PolyORB provides a uniform solution to build distributed applications; relying
 either on industrial-strength middleware standards such as CORBA, the
 Distributed System Annex of Ada 95, distribution programming paradigms such as
 Web Services, Message Oriented Middleware (MOM), or to implement
 application-specific middleware.
 .
 This package contains the documentation and examples.
